# Copyright (c) 2006-2009 oc2pus
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments to toni@links2linux.de

# norootforbuild

Summary:		A library that loads buzz machines from the windows music composer buzz
Name:			libbml0
Version:		0.5.0
Release:		2.2
License:		LGPL
Group:			System/Libraries
Source:			bml-%{version}.tar.gz
Patch:			libbml-gcc44.patch
URL:			http://www.buzztard.org
BuildRoot:		%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-c++
BuildRequires:	pkgconfig

%description
The libbml is a library that loads buzz machines from the windows
music composer buzz, so that Linux apps can use them.

Note: You need to copy all *.dll libraries from a windows buzz
installation, for details see README.

Author: Stefan Kost <ensonic@users.sourceforge.net>

%package -n libbml-devel
Summary:	Include Files and Libraries mandatory for Development
Group:		Development/Languages/C and C++
Requires:	libbml0 = %{version}

%description -n libbml-devel
This package contains the files needed to compile programs that use
the libbml library.

Author: Stefan Kost <ensonic@users.sourceforge.net>



%prep
%setup -q -n bml-%{version}
%patch -p1

%build
%configure
%__make 
#%{?jobs:-j%{jobs}}

%install
%makeinstall

%__rm %{buildroot}%{_libdir}/libbml.la
%__rm %{buildroot}%{_libdir}/libbuzzmachineloader.la

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
[ -d "%{buildroot}" -a "%{buildroot}" != "" ] && %__rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_libdir}/libbml.so.*
%{_libdir}/libbuzzmachineloader.so
%ifnarch x86_64
%dir %{_libdir}/win32
%{_libdir}/win32/BuzzMachineLoader.dll
%endif

%files -n libbml-devel
%defattr(-,root,root)
%{_libdir}/libbml.a
%{_libdir}/libbml.so
%{_libdir}/pkgconfig/libbml.pc
%dir %{_includedir}/libbml
%{_includedir}/libbml/*.h

%changelog
* Sat Oct 24 2009 Toni Graffy <toni@links2linux.de> - 0.5.0-0.pm.1
- update to 0.5.0
-  In bml, the API was split into the library and the instance API.
* Thu Nov 27 2008 Toni Graffy <toni@links2linux.de> - 0.4.0-0.pm.1
- update to 0.4.0
* Thu Mar 27 2008 Toni Graffy <toni@links2linux.de> - 0.3.0-0.pm.1
- update to 0.3.0
* Sat Sep 07 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.2
- changed package layout according Shared Library Packaging Policy
* Thu May 03 2007 Toni Graffy <toni@links2linux.de> - 0.2.0-0.pm.1
- update to 0.2.0
* Fri Nov 10 2006 Toni Graffy <toni@links2linux.de> - 0.1.0-0.pm.1
- initial build 0.1.0
